import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'message_request.g.dart';

@JsonSerializable()
class MessageRequest extends AppBaseRequest {
  @JsonKey(name: 'offset')
  int? offset;

  @JsonKey(name: 'limit')
  int? limit;

  MessageRequest({this.offset, this.limit});

  factory MessageRequest.fromJson(Map<String, dynamic> json) =>
      _$MessageRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$MessageRequestToJson(this);
}
